# classes/phing/tasks/ext/FtpDeployTask.php

## \FtpDeployTask
jump to top

FtpDeployTask

Deploys a set of files to a remote FTP server.

Example usage:

Extends from
  \Task
author
  Jorrit Schippers <jorrit at ncode dot nl>
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
since
  2.3.1
version
  $Id: FtpDeployTask.php 967 2010-11-04 21:22:16Z mrook $

### Properties

`$clearFirst= 'false'`
Default value `false` Details

Type

`$completeDirMap= ''`
Details

Type

`$dir= 'null'`
Default value `null` Details

Type

`$filesets= ''`
Details

Type

`$host= 'null'`
Default value `null` Details

Type

`$logLevel= 'Project'`
Default value `Project` Details

Type

`$mode= 'FTP_BINARY'`
Default value `FTP_BINARY` Details

Type

`$passive= 'false'`
Default value `false` Details

Type

`$password= 'null'`
Default value `null` Details

Type

`$port= '21'`
Default value `21` Details

Type

`$username= 'null'`
Default value `null` Details

Type

### Methods

`__construct( ) :`
`createFileSet( ) :`
`init( ) :`
The init method: check if Net_FTP is available
`main( ) :`
The main entry point method.
`setClearFirst( $clearFirst ) :`
Parameters

Name | Type | Description
--- | --- | ---
$clearFirst |  |

`setDir( $dir ) :`
Parameters

Name | Type | Description
--- | --- | ---
$dir |  |

`setHost( $host ) :`
Parameters

Name | Type | Description
--- | --- | ---
$host |  |

`setLevel( string $level ) :`
Set level of log messages generated (default = info)
Parameters

Name | Type | Description
--- | --- | ---
$level | string |

`setMode( $mode ) :`
Parameters

Name | Type | Description
--- | --- | ---
$mode |  |

`setPassive( $passive ) :`
Parameters

Name | Type | Description
--- | --- | ---
$passive |  |

`setPassword( $password ) :`
Parameters

Name | Type | Description
--- | --- | ---
$password |  |

`setPort( $port ) :`
Parameters

Name | Type | Description
--- | --- | ---
$port |  |

`setUsername( $username ) :`
Parameters

Name | Type | Description
--- | --- | ---
$username |  |

Documentation was generated by DocBlox 0.13.1.